org.apache.maven.artifact.metadata

## Class ResolutionGroup

- java.lang.Object
- - org.apache.maven.artifact.metadata.ResolutionGroup

-     public class ResolutionGroup
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResolutionGroup(Artifact pomArtifact, java.util.Set artifacts, java.util.List resolutionRepositories)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set` | `getArtifacts()`
    `Artifact` | `getPomArtifact()`
    `java.util.List` | `getResolutionRepositories()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResolutionGroup

          public ResolutionGroup(Artifact pomArtifact,
                         java.util.Set artifacts,
                         java.util.List resolutionRepositories)

  - ### Method Detail

    - #### getPomArtifact

          public Artifact getPomArtifact()

    - #### getArtifacts

          public java.util.Set getArtifacts()

    - #### getResolutionRepositories

          public java.util.List getResolutionRepositories()